<doxygenindex xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="index.xsd">
  <compound kind="struct" refid="structcy__lwip__nw__interface__t"><name>cy_lwip_nw_interface_t</name>
    <member kind="variable" refid="structcy__lwip__nw__interface__t_1a350faf72a26775d6931bfc0fd7cf6455"><name>role</name></member>
    <member kind="variable" refid="structcy__lwip__nw__interface__t_1a8659d03caf37a8f0653eda5e119e5618"><name>whd_iface</name></member>
  </compound>
  <compound kind="struct" refid="structip__static__addr__t"><name>ip_static_addr_t</name>
    <member kind="variable" refid="structip__static__addr__t_1ad33a979bc7e43e1f4269508ee1e13503"><name>addr</name></member>
    <member kind="variable" refid="structip__static__addr__t_1a70b8e7d6db07889fbb92db8f562de2cb"><name>netmask</name></member>
    <member kind="variable" refid="structip__static__addr__t_1ad135b4541779fed17ef74e30b24d0604"><name>gateway</name></member>
  </compound>
  <compound kind="file" refid="cy__lwip_8h"><name>cy_lwip.h</name>
    <member kind="enum" refid="group__group__lwip__whd__enums_1ga5c1e4041ed624baae4bd852f1e6149bf"><name>cy_lwip_nw_interface_role_t</name></member>
    <member kind="enumvalue" refid="group__group__lwip__whd__enums_1gga5c1e4041ed624baae4bd852f1e6149bfa546079ed70f4d411eef664709297c929"><name>CY_LWIP_STA_NW_INTERFACE</name></member>
    <member kind="enumvalue" refid="group__group__lwip__whd__enums_1gga5c1e4041ed624baae4bd852f1e6149bfacc3d978c1c58d6d0d7b7658317268326"><name>CY_LWIP_AP_NW_INTERFACE</name></member>
    <member kind="typedef" refid="group__group__lwip__whd__port__functions_1gab2eff4fe44d6eeb7e4de75d6dc47ed57"><name>cy_eapol_packet_handler_t</name></member>
    <member kind="typedef" refid="group__group__lwip__whd__port__functions_1gac1287ee1b07381abccf600602f4ba6b3"><name>cy_network_activity_event_callback_t</name></member>
    <member kind="typedef" refid="group__group__lwip__whd__port__functions_1ga7b229101bd63cde13ec6d3e856b64227"><name>cy_lwip_ip_change_callback_t</name></member>
    <member kind="function" refid="group__group__lwip__whd__port__functions_1gaa92d2b029f1719d65c8e45bf4633033e"><name>cy_lwip_add_interface</name></member>
    <member kind="function" refid="group__group__lwip__whd__port__functions_1gab0cebbb216246e5c20ca4d2ab1431421"><name>cy_lwip_remove_interface</name></member>
    <member kind="function" refid="group__group__lwip__whd__port__functions_1ga5862d05d0e7de1c6990ff44611996c7e"><name>cy_lwip_get_interface</name></member>
    <member kind="function" refid="group__group__lwip__whd__port__functions_1gaccba9d34e0645dce907b0f5c133a7c9a"><name>cy_lwip_network_up</name></member>
    <member kind="function" refid="group__group__lwip__whd__port__functions_1ga41987f60da24dc3f025b8b8bab18d08f"><name>cy_lwip_network_down</name></member>
    <member kind="function" refid="group__group__lwip__whd__port__functions_1ga71e35990a48914d05b040deb52565584"><name>cy_network_process_ethernet_data</name></member>
    <member kind="function" refid="group__group__lwip__whd__port__functions_1ga239cf5cd46a186ee0dfe28b659b5a9f0"><name>cy_network_activity_register_cb</name></member>
    <member kind="function" refid="group__group__lwip__whd__port__functions_1gaaf4ad625fee4fe84caec404b453e9224"><name>cy_lwip_register_ip_change_cb</name></member>
    <member kind="function" refid="group__group__lwip__whd__port__functions_1ga427efdf94cc9b0482e20e1fbbe04a8e0"><name>cy_eapol_register_receive_handler</name></member>
  </compound>
  <compound kind="file" refid="cy__lwip__error_8h"><name>cy_lwip_error.h</name>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga8bac0229b8c24c11e79036f78112f589"><name>CY_RSLT_LWIP_WHD_PORT_ERR_BASE</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga467bb177bbb98da6b2a3a0eb14d0b5f7"><name>CY_RSLT_LWIP_INTERFACE_EXISTS</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1gaec0b00cefc42e3015b0b430c96e5b0b9"><name>CY_RSLT_LWIP_ERROR_ADDING_INTERFACE</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1gaaf82915a1cb81dd268dbb07f835981e8"><name>CY_RSLT_LWIP_ERROR_STARTING_DHCP</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga24cb7a753871ef1910b3cf58927827f5"><name>CY_RSLT_LWIP_INTERFACE_DOES_NOT_EXIST</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga603cb8d0cf13b94663f2a0672e9acb8e"><name>CY_RSLT_LWIP_BAD_ARG</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga6d9dc67a4f5570cd14f74dc55355128e"><name>CY_RSLT_LWIP_SOCKET_ERROR</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga09e6f8b496e789c5f032a5a46ff4670b"><name>CY_RSLT_LWIP_SOCKET_CREATE_FAIL</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga41a4b3928fa95406987794d70be6a44b"><name>CY_RSLT_LWIP_INVALID_SOCKET</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1gac1102ca022f8831051359118bbe09291"><name>CY_RSLT_LWIP_CORRUPT_BUFFER</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga8bb52b0b46e43e6a8afdc01828235983"><name>CY_RSLT_LWIP_DHCP_TIMEOUT</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga27da3c48541076e0a5155ca1ece51c62"><name>CY_RSLT_LWIP_DHCP_WAIT_TIMEOUT</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga326850318ac7365aea102eff729b34dc"><name>CY_RSLT_LWIP_DHCP_MUTEX_ERROR</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1gad1754e0f57f854ba9d9aa31dc48c45c8"><name>CY_RSLT_LWIP_ERROR_STARTING_INTERNAL_DHCP</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga85d8bc987e36388f34eb7a2e696ac02f"><name>CY_RSLT_LWIP_INTERFACE_NETWORK_NOT_UP</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga134180ef523510718e941a0c7d4129e0"><name>CY_RSLT_LWIP_ERROR_REMOVING_INTERFACE</name></member>
  </compound>
  <compound kind="file" refid="cy__lwip__log_8h"><name>cy_lwip_log.h</name>
    <member kind="define" refid="cy__lwip__log_8h_1ae7919fa7186e5324c67c71e3b6e35a64"><name>wm_cy_log_msg</name></member>
  </compound>
  <compound kind="file" refid="doxyfile__configs_8txt"><name>doxyfile_configs.txt</name>
  </compound>
  <compound kind="file" refid="doxyfile__main__page_8txt"><name>doxyfile_main_page.txt</name>
  </compound>
  <compound kind="group" refid="group__group__lwip__whd__port"><name>group_lwip_whd_port</name>
  </compound>
  <compound kind="group" refid="group__group__lwip__whd__enums"><name>group_lwip_whd_enums</name>
    <member kind="enum" refid="group__group__lwip__whd__enums_1ga5c1e4041ed624baae4bd852f1e6149bf"><name>cy_lwip_nw_interface_role_t</name></member>
    <member kind="enumvalue" refid="group__group__lwip__whd__enums_1gga5c1e4041ed624baae4bd852f1e6149bfa546079ed70f4d411eef664709297c929"><name>CY_LWIP_STA_NW_INTERFACE</name></member>
    <member kind="enumvalue" refid="group__group__lwip__whd__enums_1gga5c1e4041ed624baae4bd852f1e6149bfacc3d978c1c58d6d0d7b7658317268326"><name>CY_LWIP_AP_NW_INTERFACE</name></member>
  </compound>
  <compound kind="group" refid="group__group__lwip__whd__port__functions"><name>group_lwip_whd_port_functions</name>
    <member kind="typedef" refid="group__group__lwip__whd__port__functions_1gab2eff4fe44d6eeb7e4de75d6dc47ed57"><name>cy_eapol_packet_handler_t</name></member>
    <member kind="typedef" refid="group__group__lwip__whd__port__functions_1gac1287ee1b07381abccf600602f4ba6b3"><name>cy_network_activity_event_callback_t</name></member>
    <member kind="typedef" refid="group__group__lwip__whd__port__functions_1ga7b229101bd63cde13ec6d3e856b64227"><name>cy_lwip_ip_change_callback_t</name></member>
    <member kind="function" refid="group__group__lwip__whd__port__functions_1gaa92d2b029f1719d65c8e45bf4633033e"><name>cy_lwip_add_interface</name></member>
    <member kind="function" refid="group__group__lwip__whd__port__functions_1gab0cebbb216246e5c20ca4d2ab1431421"><name>cy_lwip_remove_interface</name></member>
    <member kind="function" refid="group__group__lwip__whd__port__functions_1ga5862d05d0e7de1c6990ff44611996c7e"><name>cy_lwip_get_interface</name></member>
    <member kind="function" refid="group__group__lwip__whd__port__functions_1gaccba9d34e0645dce907b0f5c133a7c9a"><name>cy_lwip_network_up</name></member>
    <member kind="function" refid="group__group__lwip__whd__port__functions_1ga41987f60da24dc3f025b8b8bab18d08f"><name>cy_lwip_network_down</name></member>
    <member kind="function" refid="group__group__lwip__whd__port__functions_1ga71e35990a48914d05b040deb52565584"><name>cy_network_process_ethernet_data</name></member>
    <member kind="function" refid="group__group__lwip__whd__port__functions_1ga239cf5cd46a186ee0dfe28b659b5a9f0"><name>cy_network_activity_register_cb</name></member>
    <member kind="function" refid="group__group__lwip__whd__port__functions_1gaaf4ad625fee4fe84caec404b453e9224"><name>cy_lwip_register_ip_change_cb</name></member>
    <member kind="function" refid="group__group__lwip__whd__port__functions_1ga427efdf94cc9b0482e20e1fbbe04a8e0"><name>cy_eapol_register_receive_handler</name></member>
  </compound>
  <compound kind="group" refid="group__group__lwip__whd__port__structures"><name>group_lwip_whd_port_structures</name>
  </compound>
  <compound kind="group" refid="group__generic__lwip__whd__port__defines"><name>generic_lwip_whd_port_defines</name>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga8bac0229b8c24c11e79036f78112f589"><name>CY_RSLT_LWIP_WHD_PORT_ERR_BASE</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga467bb177bbb98da6b2a3a0eb14d0b5f7"><name>CY_RSLT_LWIP_INTERFACE_EXISTS</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1gaec0b00cefc42e3015b0b430c96e5b0b9"><name>CY_RSLT_LWIP_ERROR_ADDING_INTERFACE</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1gaaf82915a1cb81dd268dbb07f835981e8"><name>CY_RSLT_LWIP_ERROR_STARTING_DHCP</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga24cb7a753871ef1910b3cf58927827f5"><name>CY_RSLT_LWIP_INTERFACE_DOES_NOT_EXIST</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga603cb8d0cf13b94663f2a0672e9acb8e"><name>CY_RSLT_LWIP_BAD_ARG</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga6d9dc67a4f5570cd14f74dc55355128e"><name>CY_RSLT_LWIP_SOCKET_ERROR</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga09e6f8b496e789c5f032a5a46ff4670b"><name>CY_RSLT_LWIP_SOCKET_CREATE_FAIL</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga41a4b3928fa95406987794d70be6a44b"><name>CY_RSLT_LWIP_INVALID_SOCKET</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1gac1102ca022f8831051359118bbe09291"><name>CY_RSLT_LWIP_CORRUPT_BUFFER</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga8bb52b0b46e43e6a8afdc01828235983"><name>CY_RSLT_LWIP_DHCP_TIMEOUT</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga27da3c48541076e0a5155ca1ece51c62"><name>CY_RSLT_LWIP_DHCP_WAIT_TIMEOUT</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga326850318ac7365aea102eff729b34dc"><name>CY_RSLT_LWIP_DHCP_MUTEX_ERROR</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1gad1754e0f57f854ba9d9aa31dc48c45c8"><name>CY_RSLT_LWIP_ERROR_STARTING_INTERNAL_DHCP</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga85d8bc987e36388f34eb7a2e696ac02f"><name>CY_RSLT_LWIP_INTERFACE_NETWORK_NOT_UP</name></member>
    <member kind="define" refid="group__generic__lwip__whd__port__defines_1ga134180ef523510718e941a0c7d4129e0"><name>CY_RSLT_LWIP_ERROR_REMOVING_INTERFACE</name></member>
  </compound>
  <compound kind="group" refid="group__group__optimization__config"><name>group_optimization_config</name>
  </compound>
  <compound kind="dir" refid="dir_444d364b8c58697bb7d9ea902707932f"><name>lwip-whd-port</name>
  </compound>
  <compound kind="group" refid="indexpage"><name>index</name>
  </compound>
</doxygenindex>